var Sample = function()
{
	this._audioCtx = new (window.AudioContext || window.webkitAudioContext)();

	this._file = new File();
}


Sample.prototype.Open = function(entry, callback)
{
	var self = this;

	if(!entry) {
		return (typeof callback === 'function' && callback('No entry!'));
	}

	// Read entry
	self._file.Read(entry, function(err, data) {
		if(err) {
			console.log('Error');
			return;
		}

		// Decode

		self._audioCtx.decodeAudioData(data, function(audioData) {
			if(!audioData) {
				console.log('Error decoding audio data!');
				return (callback === 'function' && callback('Error decoding audio data!'));
			}

			typeof callback === 'function' && callback(null, audioData);

		}).catch(function(err){
			typeof callback === 'function' && callback(err);
		});
		
	});

}


