var File = function()
{

}




File.prototype.Read = function(entry, callback)
{
	var self = this;

	entry.file(function(file) {
		var reader = new FileReader();

		reader.onerror = function(error) {
			typeof callback === 'function' && callback('File read: ' + error);
		}

		reader.onloadend = function(e) {
			typeof callback === 'function' && callback(null, e.target.result);
		}

		reader.readAsArrayBuffer(file);
	});

}


File.prototype.Write = function(name, data, callback)
{
	var self = this;

	// fs.root.getFile(name, {create: true}, function(entry) {

	// 	entry.createWriter(function(writer) {

	// 		writer.onwriteend = function(e) {
	// 			typeof callback === 'function' && callback(null, e.target.result);
	// 		}

	// 		writer.onerror = function(e) {
	// 			typeof callback === 'function' && callback('File write failed: ' + error);
	// 		}


	// 		// Create a new Blob and write it to text
	// 		var bb = new BlobBuilder();
	// 		bb.append(data.buffer);

	// 		writer.write(bb.getBlob('text/plain'));
	// 	});
	// });

	var a = document.createElement('a');
    a.style = "display: none";  

	// var blob = new Blob([data.buffer], {type : 'application/json'});
	var blob = new Blob([data.buffer], {type : 'application/json'});
	url = URL.createObjectURL(blob);
	
	a.href = url;
    a.download = name + '.bin';
    document.body.appendChild(a);
    a.click();

    setTimeout(function(){
        document.body.removeChild(a);
        window.URL.revokeObjectURL(url);  
    }, 100);  
}