
/**
 * Convert a string to ArrayBuffer
* @private
* @param {string} str String to convert
* @returns {ArrayBuffer} Result
*/
function str2ab(str) 
{
	var buf = new ArrayBuffer(str.length);
	var bufView = new Uint8Array(buf);

	for (var i = 0; i < str.length; i++) {
		bufView[i] = str.charCodeAt(i);
	}
	return buf;
}

 /**
* Convert an array to ArrayBuffer
* @private
* @param array
* @returns {ArrayBuffer} Result
*/
function a2ab(array) {
	var buf = new ArrayBuffer(array.length);
	var bufView = new Uint8Array(buf);
	
	for (var i = 0; i < array.length; i++) {
		bufView[i] = array[i];
	}
	return buf;
}